pud: nmealib: fix a Coverity warning